package com.compdfkit.conversion.flutter.kmpdfkit_demo

import android.content.Context
import android.util.Log
import com.compdfkit.conversion.CPDFConverter
import com.compdfkit.conversion.flutter.kmpdfkit_demo.utils.FileUtils
import io.flutter.embedding.engine.FlutterEngine
import io.flutter.plugin.common.MethodCall
import io.flutter.plugin.common.MethodChannel
import kotlinx.coroutines.GlobalScope
import kotlinx.coroutines.delay
import kotlinx.coroutines.launch
import java.lang.reflect.Method

/**
 *  ConversionSDKFlutterPlugin.kt
 *
 *  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
 *
 *  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
 *  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
 *  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
 *  This notice may not be removed from this file.
 **/
class ConversionSDKFlutterPlugin(var context: Context, flutterPlugin: FlutterEngine) : MethodChannel.MethodCallHandler {

    val channelName = "com.compdfkit.conversion.flutter.convert.sdk.info"

    private var channel: MethodChannel

    init {
        channel = MethodChannel(flutterPlugin.dartExecutor.binaryMessenger, channelName)
        channel.setMethodCallHandler(this)
    }


    override fun onMethodCall(call: MethodCall, result: MethodChannel.Result) {
        when(call.method){
            "request_convert_output_path"->{
                result.success(FileUtils.getOutputFilePath(context))
            }
            "request_convert_sdk_version" ->{
                // return conversion sdk build tag info
                result.success(CPDFConverter.getSDKBuildTag())

            }
        }
    }


}