import 'convert_contain_options_bean.dart';

///  convert_bean.dart
///
///  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
///
///  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
///  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
///  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
///  This notice may not be removed from this file.


const convertConverting = 1;

const convertSuccess = 2;

const convertFail = 3;

class ConvertBean {
  String tag;
  String filePath;
  String fileName;
  String convertType;
  int status;
  int progress;
  String? outputPath;

  ConvertOptionsBean options;

  ConvertBean(
      {required this.tag,
      required this.filePath,
      required this.fileName,
      required this.convertType,
      required this.status,
      required this.progress,
      this.outputPath,
      required this.options});

  String getStatusName() {
    switch (status) {
      case convertConverting:
        return "Converting ($progress%)";
      case convertSuccess:
        return "SUCCESS";
      case convertFail:
        return "FAIL";
      default:
        return "";
    }
  }

  Map<String, String> getOptions() {
    return options.getOptions(this);
  }
}
