import 'package:ConversionFlutterDemo/convert_sdk_info_flutter.dart';
import 'package:flutter/material.dart';


///  conversion_sdk_info_widget.dart
///
///  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
///
///  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
///  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
///  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
///  This notice may not be removed from this file.

class ConversionSdkInfoWidget extends StatefulWidget {
  const ConversionSdkInfoWidget({Key? key}) : super(key: key);

  @override
  State<ConversionSdkInfoWidget> createState() =>
      _ConversionSdkInfoWidgetState();
}

class _ConversionSdkInfoWidgetState extends State<ConversionSdkInfoWidget> {
  String conversionSDKVersion = "Version:";
  String convertFileOutputPath = "";

  @override
  void initState() {
    super.initState();

    ConvertSDKInfoFlutter.getConversionSDKVersion().then((value) {
      setState(() {
        conversionSDKVersion = "Version:$value";
      });
    });

    ConvertSDKInfoFlutter.getOutputPath().then((value) => {
          setState(() {
            convertFileOutputPath = value;
          })
        });
  }

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [Text(conversionSDKVersion,style: TextStyle(fontSize: 13),), Text('OutputPath:$convertFileOutputPath',style: const TextStyle(fontSize: 13),)],
    );
  }
}
